-module(unusedguard).
-export([falseguardtest1/1, falseguardtest2/1, trueguardtest/1]).

falseguardtest1(Alma) ->
    if
        Alma==3->
            Alma    end,
    io:format("Hello, world!~n").

falseguardtest2(Alma) ->
    if
        Alma==3->
            Alma
    end,
    io:format("Hello, world!~n").

trueguardtest(Alma) ->
    if
        Alma ->
            Alma;
        not Alma ->
            Alma-1    end,
    io:format("Hello, world!~n").
